<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html   xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"        
        xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" template="./../plantillas/plantilla1.xhtml">
        <!-- Contenedor -->
        <ui:define name="content"><br/><br/><br/>
            
            <section>
                <div class="titulo1">Gestión de Alumnos</div>
            </section>
            
            <h:panelGroup rendered="#{appSession.usuario.rolId.rolNombre.equalsIgnoreCase('Director')}">
            <section>
                <div class="col-lg-12" align="right">
                    <a href="nuevo_alumno.jsf" class="btn">+Nuevo</a>
                </div>
            </section><br/><br/>
            </h:panelGroup>
            
            <section>
                <h:form id="listaAlumnos" class="form-horizontal"><br/>
                    <div class="table table-responsive" >
                                <table id="alumno" class="table table-striped table-bordered table-hover table-condensed">
                                    <!-- Cabecera de la tabla -->
                                    <thead>
                                        <tr>
                                            <th><center>Apellido</center></th>
                                            <th><center>Nombre</center></th>
                                            <th><center>Grado</center></th>
                                            <th><center>Carnet</center></th>
                                            <th><center>Opciones</center></th>
                                        </tr>
                                    </thead>
                                    <!-- Cuerpo de la tabla -->
                                    <tbody>
                                        <ui:repeat value="#{alumnoBean.todosAlumnos()}" var="alumno" >
                                            <tr>
                                                <td>#{alumno.alumnoApellido}</td>
                                                <td>#{alumno.alumnoNombre}</td>
                                                <td align="center">#{alumno.gradoId.gradoNombre}</td>
                                                <td align="center">#{alumno.alumnoCarnet}</td>
                                                <td align="center">
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-eye-open"
                                                                   pt:data-toggle="modal" pt:data-target="#verAlumno">
                                                        <f:setPropertyActionListener value="#{alumno}" target="#{alumnoBean.alumnoSeleccionado}"/>
                                                        <p:ajax process="@this" update=":listaAlumnos:ver"/>
                                                    </h:commandLink>
                                                    <label></label>
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-pencil"
                                                                   pt:data-toggle="modal" pt:data-target="#editarAlumno" rendered="#{appSession.usuario.rolId.rolNombre.equalsIgnoreCase('Director')}">
                                                        <f:setPropertyActionListener value="#{alumno}" target="#{alumnoBean.alumnoSeleccionado}"/>
                                                        <p:ajax process="@this" update=":listaAlumnos:editar"/>
                                                    </h:commandLink>
                                                    <label></label>
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-folder-open" 
                                                                   action="ver_notas_director.jsf" rendered="#{appSession.usuario.rolId.rolNombre.equalsIgnoreCase('Director')}">
                                                        <f:setPropertyActionListener value="#{alumno.alumnoId}" target="#{boletaBean.alumno}"/>
                                                        <f:setPropertyActionListener value="#{alumno}" target="#{boletaBean.alumnoSeleccionado}"/>
                                                        <p:ajax process="@this"/>
                                                    </h:commandLink>
                                                    <label></label>
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-folder-open" 
                                                                   action="ver_notas_profesor.jsf" rendered="#{appSession.usuario.rolId.rolNombre.equalsIgnoreCase('Profesor')}">
                                                        <f:setPropertyActionListener value="#{alumno.alumnoId}" target="#{notasBean.alumno}"/>
                                                        <f:setPropertyActionListener value="#{alumno}" target="#{notasBean.alumnoSeleccionado}"/>
                                                        <p:ajax process="@this"/>
                                                    </h:commandLink>
                                                    <label></label>
                                                    <h:commandLink value="" style="text-decoration:none;color:darkseagreen;" class="glyphicon glyphicon-remove"
                                                                   pt:data-toggle="modal" pt:data-target="#eliminarAlumno" rendered="#{appSession.usuario.rolId.rolNombre.equalsIgnoreCase('Director')}">
                                                        <f:setPropertyActionListener value="#{alumno}" target="#{alumnoBean.alumnoSeleccionado}"/>
                                                        <p:ajax process="@this" update=":listaAlumnos:eliminar"/>
                                                    </h:commandLink>
                                                </td>
                                            </tr>
                                        </ui:repeat>
                                    </tbody> 
                                </table>
                            </div>
                            
                            <!-- Modal verAlumno -->
                            <div id="verAlumno" class="modal">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        
                                        <!-- Cabecera del modal -->
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                            <h4 class="modal-title"><font color="507642">Alumno</font></h4>
                                        </div>
                                        
                                        <!-- Cuerpo del modal -->
                                        <div class="modal-body">
                                            <h:panelGrid id="ver" columns="2" border="0">
                                                <!-- Nombre -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Nombre:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{alumnoBean.alumnoSeleccionado.alumnoNombre}"/>
                                                    </div>
                                                </div>
                                                <!-- Apellido -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Apellido:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{alumnoBean.alumnoSeleccionado.alumnoApellido}"/>
                                                    </div>
                                                </div>
                                                <!-- Grado -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Grado:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{alumnoBean.alumnoSeleccionado.gradoId.gradoNombre}"/>
                                                    </div>
                                                </div>
                                                <!-- Dirección -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Dirección:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{alumnoBean.alumnoSeleccionado.alumnoDireccion}"/>
                                                    </div>
                                                </div> 
                                                <!-- Teléfono -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Teléfono:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{alumnoBean.alumnoSeleccionado.alumnoTelefono}"/>
                                                    </div>
                                                </div> 
                                                <!-- Carnet -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Carnet:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{alumnoBean.alumnoSeleccionado.alumnoCarnet}"/>
                                                    </div>
                                                </div> 
                                                <!-- Fecha de Naciemiento -->
                                                <div class="row">
                                                    <div class="col-xs-11">
                                                        <label>Nacimiento:</label>
                                                    </div>
                                                    <div class="col-xs-12">
                                                        <h:outputText value="#{alumnoBean.alumnoSeleccionado.alumnoFecha}">
                                                            <f:convertDateTime pattern="dd-MM-yyyy"/>
                                                        </h:outputText>
                                                    </div>
                                                </div> 
                                            </h:panelGrid>  
                                        </div>
                                    </div>
                                </div>
                            </div>
                                                        
                            <!-- Modal editarAlumno -->
                            <div id="editarAlumno" class="modal">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        
                                        <!-- Cabecera del modal -->
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                            <h4 class="modal-title"><font color="507642">Editar Alumno</font></h4>
                                        </div>
                                        
                                        <!-- Cuerpo del modal -->
                                        <div class="modal-body">
                                            <h:panelGroup id="editar" class="form-horizontal">
                                                <p:focus for="nombre"/>
                                                <!-- Nombre -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Nombre:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputText id="nombre" class="form-control" value="#{alumnoBean.alumnoSeleccionado.alumnoNombre}" style="width: 100%; height: 32px"
                                                                     required="true" requiredMessage="Escriba un nombre." validatorMessage="Escriba un nombre válido.">
                                                            <f:validateRegex pattern="^([a-zA-Z ÑÁÉÍÓÚÜñáéíóúü.]{3,75})*$"/>
                                                        </p:inputText>
                                                        <p:message for="nombre"/>
                                                    </div>
                                                </div>
                                                <!-- Apellido -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Apellido:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputText id="apellido" class="form-control" value="#{alumnoBean.alumnoSeleccionado.alumnoApellido}" style="width: 100%; height: 32px"
                                                                     required="true" requiredMessage="Escriba un apellido." validatorMessage="Escriba un apellido válido.">
                                                            <f:validateRegex pattern="^([a-zA-Z ÑÁÉÍÓÚÜñáéíóúü.]{3,75})*$"/>
                                                        </p:inputText>
                                                        <p:message for="apellido"/>
                                                    </div>
                                                </div>
                                                <!-- Dirección -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Dirección:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputTextarea id="direccion" class="form-control" value="#{alumnoBean.alumnoSeleccionado.alumnoDireccion}" style="width: 100%"
                                                                         rows="3" autoResize="false" validatorMessage="Máximo 250 caracteres.">
                                                            <f:validateRegex pattern="^(.{0,250})*$"/>
                                                        </p:inputTextarea>
                                                        <p:message for="direccion"/>
                                                    </div>
                                                </div>
                                                <!-- Fecha Nac. -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Fecha Nac:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputMask id="fecha" class="form-control" value="#{alumnoBean.alumnoSeleccionado.alumnoFecha}" style="width: 30%; height: 32px" mask="99-99-9999">
                                                            <f:convertDateTime pattern="dd-MM-yyyy"/>
                                                        </p:inputMask>
                                                        <p:message for="fecha"/>
                                                    </div>
                                                </div>
                                                <!-- Teléfono -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Teléfono:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputMask id="telefono" class="form-control" value="#{alumnoBean.alumnoSeleccionado.alumnoTelefono}" style="width: 30%; height: 32px" mask="9999-9999"/>
                                                        <p:message for="telefono"/>
                                                    </div>
                                                </div>
                                                <!-- Grado -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Grado:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <h:selectOneMenu id="grado" class="form-control" value="#{alumnoBean.alumnoSeleccionado.gradoId}" style="width: 30%; height: 32px" converter="#{gradoConvertidor}">
                                                            <f:selectItem itemLabel="Seleccionar..." noSelectionOption="true" itemValue=""/>
                                                            <f:selectItems value="#{alumnoBean.todosGrados()}" var="grado" itemLabel="#{grado.gradoNombre}" itemValue="#{grado}"/>
                                                        </h:selectOneMenu>
                                                        <p:message for="grado"/>
                                                    </div>
                                                </div>
                                                <!-- Carnet -->
                                                <div class="form-group">
                                                    <div class="col-xs-3">
                                                        <label>Carnet:</label>
                                                    </div>
                                                    <div class="col-xs-9">
                                                        <p:inputText id="carnet" class="form-control" value="#{alumnoBean.alumnoSeleccionado.alumnoCarnet}" disabled="true" style="width: 30%; height: 32px"
                                                                     required="true" requiredMessage="Escriba un carnet."/>
                                                        <p:message for="carnet"/>
                                                    </div>
                                                </div>
                                                
                                            </h:panelGroup>  
                                        </div>
                                        
                                        <!-- Pie del modal -->
                                        <div class="modal-footer">
                                            <p:commandButton id="actualizar" process="@this editar" update="editar" oncomplete="estiloTabla();" type="submit" value="Actualizar" action="#{alumnoBean.actualizarAlumno()}" style="background: white; width: 80pt; height: 26pt"/>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                            
                            <!-- Modal eliminarAlumno -->
                            <div id="eliminarAlumno" class="modal">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        
                                        <!-- Cabecera del modal -->
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
                                            <h4 class="modal-title"><font color="507642">Eliminar</font></h4>
                                        </div>
                                        
                                        <!-- Cuerpo del modal -->
                                        <div class="modal-body">
                                            <h:panelGroup id="eliminar" class="form-horizontal">
                                                <!-- Usuario -->
                                                <div class="row">
                                                    <div class="col-xs-12" align="center">
                                                        <label style="color: red; font-size: 20px">¿Esta seguro de realizar esta acción?</label><br/>
                                                        <label style="color: red; font-size: 20px">El Alumno se eliminará permanentemente del sistema.</label>
                                                    </div>
                                                </div><br/>
                                                
                                                <div class="row">
                                                    <div class="col-xs-12" align="center">
                                                        <p:commandButton type="submit" value="Cancelar" action="#{alumnoBean.cerrarModal()}" style="background: white; width: 80pt; height: 26pt"/>
                                                        <label> </label>
                                                        <p:commandButton id="aceptar" process="@this eliminar" update="eliminar" oncomplete="estiloTabla();" type="submit" value="Eliminar" action="#{alumnoBean.eliminarAlumno()}" style="background: white; width: 80pt; height: 26pt"/>
                                                    </div>
                                                </div><br/>
                                            </h:panelGroup>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                            
                </h:form>
            </section><br/><br/>
            
        </ui:define>
        <ui:define name="scripts">
            <script>
                $(document).ready(function() {
                    estiloTabla();
                });

                function estiloTabla() {
                    $('#alumno').dataTable(
                            {
                                "bDestroy": true,
                                "oLanguage": {
                                    "sProcessing": "Procesando...",
                                    "sLengthMenu": "Mostrar _MENU_ registros",
                                    "sZeroRecords": "No se encontraron resultados",
                                    "sEmptyTable": "Ningún dato disponible en esta tabla",
                                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                                    "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                                    "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
                                    "sInfoPostFix": "",
                                    "sSearch": "Buscar:",
                                    "sUrl": "",
                                    "sInfoThousands": ",",
                                    "sLoadingRecords": "Cargando...",
                                    "oPaginate": {
                                        "sFirst": "Primero",
                                        "sLast": "Último",
                                        "sNext": "Siguiente",
                                        "sPrevious": "Anterior"
                                    },
                                    "oAria": {
                                        "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                                        "sSortDescending": ": Activar para ordenar la columna de manera descendente"
                                    }
                    }
                });
            }
            </script>
        </ui:define>
    </ui:composition>
</html>

